Package org.stianloader.micromixin.transform.api

## Class InjectionPointSelectorFactory

- java.lang.Object
- - org.stianloader.micromixin.transform.api.InjectionPointSelectorFactory

    public class InjectionPointSelectorFactory
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `InjectionPointSelectorFactory.InjectionPointSelectorProvider`

### Constructor Summary

Constructors
`InjectionPointSelectorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InjectionPointSelectorFactory.InjectionPointSelectorProvider` `get​(java.lang.String name)`
`InjectionPointSelectorFactory.InjectionPointSelectorProvider` `getOpt​(java.lang.String name)`
`InjectionPointSelectorFactory` `register​(InjectionPointSelectorFactory.InjectionPointSelectorProvider provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InjectionPointSelectorFactory

    public InjectionPointSelectorFactory()

### Method Detail

#### register

    @NotNull
    @Contract(mutates="this",
              pure=false,
              value="null -> fail; !null -> this")
    public InjectionPointSelectorFactory register​(@NotNull
                                                  InjectionPointSelectorFactory.InjectionPointSelectorProvider provider)

#### getOpt

    @Nullable
    @Contract(pure=true)
    public InjectionPointSelectorFactory.InjectionPointSelectorProvider getOpt​(@NotNull
                                                                               java.lang.String name)

#### get

    @NotNull
    @Contract(pure=true)
    public InjectionPointSelectorFactory.InjectionPointSelectorProvider get​(@NotNull
                                                                            java.lang.String name)